%define	name	kde4-libkdcraw
%define	version	0.2.0
%define release %mkrel 0.%revision.4
%define	Summary	KDE4 library based on dcraw for working with various camera's RAW image formats
%define oname    libkdcraw
%define realname kdcraw
%define revision 744910

%define	major	5
%define	libname	%mklibname %{realname} %major
%define	libnamedev %mklibname %{realname} %major -d

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group: 		System/Libraries
Source0:        http://prdownloads.sourceforge.net/kipi/libkdcraw-%{version}.%revision.tar.bz2

BuildRequires:  kdelibs4-devel
BuildRequires:  lcms-devel

URL: 		http://www.kipi-plugins.org
Requires:	%{libname} = %{version}-%{release}

%description
KDE4 library based on dcraw for working with various camera's 
RAW image formats.

%files
%defattr(-,root,root)
%{_kde_appsdir}/libkdcraw/profiles/*.icm
%{_kde_iconsdir}/hicolor/*/apps/kdcraw.png

#--------------------------------------------------------------------

%package -n     %{libname}
Summary:        Libraries for %{name}
Group:          System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n %{libname}

%{libname} contains %{name} libraries

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(0644, root, root, 0755)
%{_kde_libdir}/libkdcraw5/CAMERALIST              
%{_kde_libdir}/libkdcraw5/kdcraw
%{_kde_libdir}/libkdcraw.so.*

#--------------------------------------------------------------------

%package        -n     %{libnamedev}
Summary:	Static libraries and headers for %{name}
Group:		Development/C
Provides:       %{name}-devel = %{version}-%{release}
Requires:	%{libname} = %version-%release

%description  -n     %{libnamedev}

%{libnamedev} contains the libraries and header files needed to
develop programs which make use of %{oname}.

%files -n     %{libnamedev}
%defattr(0644, root, root, 0755)
%dir %{_kde_includedir}/libkdcraw
%{_kde_includedir}/libkdcraw/*.h
%{_kde_libdir}/libkdcraw.so
%{_kde_libdir}/pkgconfig/libkdcraw.pc

#--------------------------------------------------------------------
%prep
%setup -q -n %oname-%version

%build
%cmake_kde4
%make

%install
rm -rf %buildroot
cd build
%makeinstall_std


%clean
rm -rf %buildroot


%changelog
* Wed Dec 19 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.0-0.744910.4mdv2008.1
+ Revision: 134662
- Fix devel package name

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 11 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.0-0.744910.3mdv2008.1
+ Revision: 117232
- Rebuild for new kdebase

* Wed Dec 05 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.0-0.744910.2mdv2008.1
+ Revision: 115757
- Add lcms-devel as BR
- Add kdelibs4-devel as BR
- import kde4-libkdcraw


